diff --git a/gcc/testsuite/gcc.dg/analyzer/strcpy-1.c b/gcc/testsuite/gcc.dg/analyzer/strcpy-1.c
index 30341061f4c..78075f1da5e 100644
--- a/gcc/testsuite/gcc.dg/analyzer/strcpy-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/strcpy-1.c
@@ -33,7 +33,7 @@ char *test_uninitialized (char *dst)
 
 extern void external_fn (void *ptr);
 
-char *test_external_fn (void)
+void test_external_fn (void)
 {
   char src[10];
   char dst[10];
diff --git a/gcc/testsuite/gcc.dg/analyzer/switch-enum-taint-1.c b/gcc/testsuite/gcc.dg/analyzer/switch-enum-taint-1.c
index d20b33e090b..0c3bbf675e4 100644
--- a/gcc/testsuite/gcc.dg/analyzer/switch-enum-taint-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/switch-enum-taint-1.c
@@ -26,7 +26,7 @@ test_all_values_covered_implicit_default_1 (enum e x)
       return 1945;
     }
   __analyzer_dump_path (); /* { dg-message "path" } */
-}
+} /* { dg-warning "use of uninitialized value '<return-value>'" } */
 
 int  __attribute__((tainted_args))
 test_all_values_covered_implicit_default_2 (enum e x)
diff --git a/gcc/testsuite/gcc.dg/analyzer/switch.c b/gcc/testsuite/gcc.dg/analyzer/switch.c
index 5f42e7f21db..fc63da15834 100644
--- a/gcc/testsuite/gcc.dg/analyzer/switch.c
+++ b/gcc/testsuite/gcc.dg/analyzer/switch.c
@@ -162,7 +162,7 @@ int test_7 ()
 	return 0;
 }
 
-int test_bitmask_1 (int x)
+void test_bitmask_1 (int x)
 {
   int flag = 0;
   if (x & 0x80)
@@ -193,7 +193,7 @@ int test_bitmask_1 (int x)
     }
 }
 
-int test_bitmask_2 (int x)
+void test_bitmask_2 (int x)
 {
   int flag = 0;
   if ((x & 0xf80) == 0x80)
diff --git a/gcc/testsuite/gcc.dg/analyzer/taint-assert.c b/gcc/testsuite/gcc.dg/analyzer/taint-assert.c
index 855ed5f705f..a858e996a80 100644
--- a/gcc/testsuite/gcc.dg/analyzer/taint-assert.c
+++ b/gcc/testsuite/gcc.dg/analyzer/taint-assert.c
@@ -336,7 +336,7 @@ struct s
   int y;
 };
 
-int __attribute__((tainted_args))
+void __attribute__((tainted_args))
 test_assert_struct (struct s *p)
 {
   MY_ASSERT_1 (p->x < p->y); /* { dg-warning "-Wanalyzer-tainted-assertion" } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/taint-write-offset-1.c b/gcc/testsuite/gcc.dg/analyzer/taint-write-offset-1.c
index 21794ce4cf8..06b5f1b4e02 100644
--- a/gcc/testsuite/gcc.dg/analyzer/taint-write-offset-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/taint-write-offset-1.c
@@ -27,7 +27,7 @@ char test_1(FILE *f)
   return 0;
 }
 
-char test_2(struct foo *f)
+void test_2(struct foo *f)
 {
   /* not a bug: the data is not known to be tainted: */
   *(p + f->offset) = 42;
diff --git a/gcc/testsuite/gcc.dg/analyzer/torture/analyzer-torture.exp b/gcc/testsuite/gcc.dg/analyzer/torture/analyzer-torture.exp
index b4289bda824..eab32ed36d7 100644
--- a/gcc/testsuite/gcc.dg/analyzer/torture/analyzer-torture.exp
+++ b/gcc/testsuite/gcc.dg/analyzer/torture/analyzer-torture.exp
@@ -31,7 +31,7 @@ if [info exists DEFAULT_CFLAGS] then {
 }
 
 # If a testcase doesn't have special options, use these.
-set DEFAULT_CFLAGS "-fanalyzer -fdiagnostics-path-format=separate-events -Wanalyzer-too-complex -fanalyzer-call-summaries"
+set DEFAULT_CFLAGS "-fanalyzer -fdiagnostics-path-format=separate-events -Wanalyzer-too-complex"
 
 gcc-dg-runtest [lsort [glob $srcdir/$subdir/*.c]] "" $DEFAULT_CFLAGS
 
diff --git a/gcc/testsuite/gcc.dg/analyzer/torture/boxed-ptr-1.c b/gcc/testsuite/gcc.dg/analyzer/torture/boxed-ptr-1.c
index e25d0c31ea5..387e38931dd 100644
--- a/gcc/testsuite/gcc.dg/analyzer/torture/boxed-ptr-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/torture/boxed-ptr-1.c
@@ -14,7 +14,7 @@ boxed_malloc (size_t sz)
   return result;
 }
 
-boxed_ptr __attribute__((noinline))
+void __attribute__((noinline))
 boxed_free (boxed_ptr ptr)
 {
   free (ptr.value);
diff --git a/gcc/testsuite/gcc.dg/analyzer/torture/fold-ptr-arith-pr105784.c b/gcc/testsuite/gcc.dg/analyzer/torture/fold-ptr-arith-pr105784.c
index 5e5a2bf79a5..4fd32b48ee4 100644
--- a/gcc/testsuite/gcc.dg/analyzer/torture/fold-ptr-arith-pr105784.c
+++ b/gcc/testsuite/gcc.dg/analyzer/torture/fold-ptr-arith-pr105784.c
@@ -1,5 +1,5 @@
 /* { dg-skip-if "" { *-*-* } { "-fno-fat-lto-objects" } { "" } } */
-
+/* { dg-additional-options "-Wno-analyzer-too-complex" } */
 #include "../analyzer-decls.h"
 
 extern _Bool quit_flag;
diff --git a/gcc/testsuite/gcc.dg/analyzer/torture/loop-inc-ptr-1.c b/gcc/testsuite/gcc.dg/analyzer/torture/loop-inc-ptr-1.c
index afb27185f1b..3276d73cdb1 100644
--- a/gcc/testsuite/gcc.dg/analyzer/torture/loop-inc-ptr-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/torture/loop-inc-ptr-1.c
@@ -1,5 +1,5 @@
 /* { dg-skip-if "" { *-*-* } { "-fno-fat-lto-objects" } { "" } } */
-
+/* { dg-skip-if "" { *-*-* } { "-O3" } { "" } } */
 #include "../analyzer-decls.h"
 
 void test (int *p)
diff --git a/gcc/testsuite/gcc.dg/analyzer/torture/pr102225.c b/gcc/testsuite/gcc.dg/analyzer/torture/pr102225.c
index a7c324922fd..33632daf399 100644
--- a/gcc/testsuite/gcc.dg/analyzer/torture/pr102225.c
+++ b/gcc/testsuite/gcc.dg/analyzer/torture/pr102225.c
@@ -2,5 +2,4 @@
 
 void bad_realloc(char *s, int n)
 {
-  char *p = __builtin_realloc(s, n);
-} /* { dg-warning "leak" } */
+  char *p = __builtin_realloc(s, n); } /* { dg-warning "leak" } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/torture/pr93379.c b/gcc/testsuite/gcc.dg/analyzer/torture/pr93379.c
index 6d6ac1433c8..9c6944d7697 100644
--- a/gcc/testsuite/gcc.dg/analyzer/torture/pr93379.c
+++ b/gcc/testsuite/gcc.dg/analyzer/torture/pr93379.c
@@ -1,3 +1,5 @@
 /* { dg-do compile } */
 /* { dg-additional-options "-std=gnu17" } */
+/* { dg-skip-if "" { *-*-* } { "-fno-fat-lto-objects" } { "" } } */
 #include "../../torture/pr57330.c"
+/* { dg-warning "use of uninitialized value" "" { target *-*-* } 11 } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/torture/stdarg-4.c b/gcc/testsuite/gcc.dg/analyzer/torture/stdarg-4.c
index 8275b0fa9ba..c28beac8059 100644
--- a/gcc/testsuite/gcc.dg/analyzer/torture/stdarg-4.c
+++ b/gcc/testsuite/gcc.dg/analyzer/torture/stdarg-4.c
@@ -326,4 +326,5 @@ void test_3f_caller (int x, int y, int z)
 {
   int sum = test_3f_callee (0, x, y, z, 0);
   __analyzer_describe (0, sum); /* { dg-message "'UNKNOWN\\(int\\)'" } */
+  /* { dg-message "INIT_VAL\\(x.*\\)\\\+INIT_VAL\\(y.*\\)\\\+INIT_VAL\\(z.*\\)" "" { target *-*-* } .-1 } */
 }
diff --git a/gcc/testsuite/gcc.dg/analyzer/untracked-1.c b/gcc/testsuite/gcc.dg/analyzer/untracked-1.c
index 9f3a639db5c..ad29c6b06c9 100644
--- a/gcc/testsuite/gcc.dg/analyzer/untracked-1.c
+++ b/gcc/testsuite/gcc.dg/analyzer/untracked-1.c
@@ -105,7 +105,7 @@ int test_11 (void)
   return 42;
 }
 
-int test_12 (void (*fnptr) (struct st *))
+void test_12 (void (*fnptr) (struct st *))
 {
   static struct st s12 = { __FILE__, __LINE__ }; /* { dg-warning "track 's12': yes" } */
   fnptr (&s12);
diff --git a/gcc/testsuite/gcc.dg/analyzer/use-after-free.c b/gcc/testsuite/gcc.dg/analyzer/use-after-free.c
index 76a85f56335..c2731cd5d9e 100644
--- a/gcc/testsuite/gcc.dg/analyzer/use-after-free.c
+++ b/gcc/testsuite/gcc.dg/analyzer/use-after-free.c
@@ -5,7 +5,7 @@
 
 struct link { struct link *next; };
 
-int free_a_list_badly (struct link *n)
+void free_a_list_badly (struct link *n)
 {
   while (n) {
     free(n); /* { dg-message "freed here" } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/zlib-3.c b/gcc/testsuite/gcc.dg/analyzer/zlib-3.c
index def83006a71..2819aa89ad8 100644
--- a/gcc/testsuite/gcc.dg/analyzer/zlib-3.c
+++ b/gcc/testsuite/gcc.dg/analyzer/zlib-3.c
@@ -46,7 +46,7 @@ static int huft_build(uInt *b, uInt n, uInt s, const uInt *d, const uInt *e,
   uInt mask;
   register uInt *p;
   inflate_huft *q;
-  struct inflate_huft_s r; /* { dg-message "region created on stack here" } */
+  struct inflate_huft_s r; /* { dg-message "region created on stack here" "" { xfail *-*-* } } */
   inflate_huft *u[15];
   register int w;
   uInt x[15 + 1];
@@ -179,12 +179,12 @@ static int huft_build(uInt *b, uInt n, uInt s, const uInt *d, const uInt *e,
 
       f = 1 << (k - w);
       for (j = i >> w; j < z; j += f)
-        q[j] = r; /* { dg-warning "use of uninitialized value 'r.base'" } */
+        q[j] = r; /* { dg-warning "use of uninitialized value 'r.base'" "" { xfail *-*-* } } */
 
       mask = (1 << w) - 1;
       /* The analyzer thinks that h can be -1 here.
          This is probably a false positive. */
-      while ((i & mask) !=  x[h]) { /* { dg-bogus "under-read" "" { xfail *-*-* } } */
+      while ((i & mask) !=  x[h]) { /* { dg-bogus "under-read" } */
         h--;
         w -= l;
         mask = (1 << w) - 1;
diff --git a/gcc/testsuite/gcc.dg/plugin/analyzer_cpython_plugin.cc b/gcc/testsuite/gcc.dg/plugin/analyzer_cpython_plugin.cc
index c80b2dae66b..c88e35f50f8 100644
--- a/gcc/testsuite/gcc.dg/plugin/analyzer_cpython_plugin.cc
+++ b/gcc/testsuite/gcc.dg/plugin/analyzer_cpython_plugin.cc
@@ -188,97 +188,6 @@ public:
   }
 };
 
-/* This is just a copy of leak_stmt_finder for now (subject to change if
- * necssary)  */
-
-class refcnt_stmt_finder : public stmt_finder
-{
-public:
-  refcnt_stmt_finder (const exploded_graph &eg, tree var)
-      : m_eg (eg), m_var (var)
-  {
-  }
-
-  std::unique_ptr<stmt_finder>
-  clone () const final override
-  {
-    return std::make_unique<refcnt_stmt_finder> (m_eg, m_var);
-  }
-
-  const gimple *
-  find_stmt (const exploded_path &epath) final override
-  {
-    logger *const logger = m_eg.get_logger ();
-    LOG_FUNC (logger);
-
-    if (m_var && TREE_CODE (m_var) == SSA_NAME)
-      {
-	/* Locate the final write to this SSA name in the path.  */
-	const gimple *def_stmt = SSA_NAME_DEF_STMT (m_var);
-
-	int idx_of_def_stmt;
-	bool found = epath.find_stmt_backwards (def_stmt, &idx_of_def_stmt);
-	if (!found)
-	  goto not_found;
-
-	/* What was the next write to the underlying var
-	   after the SSA name was set? (if any).  */
-
-	for (unsigned idx = idx_of_def_stmt + 1; idx < epath.m_edges.length ();
-	     ++idx)
-	  {
-	    const exploded_edge *eedge = epath.m_edges[idx];
-	    if (logger)
-		    logger->log ("eedge[%i]: EN %i -> EN %i", idx,
-				 eedge->m_src->m_index,
-				 eedge->m_dest->m_index);
-	    const exploded_node *dst_node = eedge->m_dest;
-	    const program_point &dst_point = dst_node->get_point ();
-	    const gimple *stmt = dst_point.get_stmt ();
-	    if (!stmt)
-		    continue;
-	    if (const gassign *assign = dyn_cast<const gassign *> (stmt))
-		    {
-			    tree lhs = gimple_assign_lhs (assign);
-			    if (TREE_CODE (lhs) == SSA_NAME
-				&& SSA_NAME_VAR (lhs) == SSA_NAME_VAR (m_var))
-				    return assign;
-		    }
-	  }
-      }
-
-  not_found:
-
-    /* Look backwards for the first statement with a location.  */
-    int i;
-    const exploded_edge *eedge;
-    FOR_EACH_VEC_ELT_REVERSE (epath.m_edges, i, eedge)
-    {
-      if (logger)
-	logger->log ("eedge[%i]: EN %i -> EN %i", i, eedge->m_src->m_index,
-		     eedge->m_dest->m_index);
-      const exploded_node *dst_node = eedge->m_dest;
-      const program_point &dst_point = dst_node->get_point ();
-      const gimple *stmt = dst_point.get_stmt ();
-      if (stmt)
-	if (get_pure_location (stmt->location) != UNKNOWN_LOCATION)
-	  return stmt;
-    }
-
-    gcc_unreachable ();
-    return NULL;
-  }
-
-  void update_event_loc_info (event_loc_info &) final override
-  {
-    /* No-op.  */
-  }
-
-private:
-  const exploded_graph &m_eg;
-  tree m_var;
-};
-
 class refcnt_mismatch : public pending_diagnostic_subclass<refcnt_mismatch>
 {
 public:
@@ -445,12 +354,13 @@ check_refcnt (const region_model *model,
 	return;
 
       const auto &eg = ctxt->get_eg ();
-      refcnt_stmt_finder finder (*eg, reg_tree);
       auto pd = std::make_unique<refcnt_mismatch> (curr_region, ob_refcnt_sval,
 						   actual_refcnt_sval,
 						   reg_tree);
       if (pd && eg)
-	ctxt->warn (std::move (pd), &finder);
+	ctxt->warn (std::move (pd),
+		    make_ploc_fixer_for_epath_for_leak_diagnostic (*eg,
+								   NULL_TREE));
     }
 }
 
diff --git a/gcc/testsuite/gcc.dg/plugin/analyzer_gil_plugin.cc b/gcc/testsuite/gcc.dg/plugin/analyzer_gil_plugin.cc
index c101c45b541..74e2d73179c 100644
--- a/gcc/testsuite/gcc.dg/plugin/analyzer_gil_plugin.cc
+++ b/gcc/testsuite/gcc.dg/plugin/analyzer_gil_plugin.cc
@@ -53,19 +53,16 @@ public:
   bool inherited_state_p () const final override { return false; }
 
   bool on_stmt (sm_context &sm_ctxt,
-		const supernode *node,
 		const gimple *stmt) const final override;
 
   bool can_purge_p (state_t s) const final override;
 
   void check_for_pyobject_usage_without_gil (sm_context &sm_ctxt,
-					     const supernode *node,
 					     const gimple *stmt,
 					     tree op) const;
 
  private:
   void check_for_pyobject_in_call (sm_context &sm_ctxt,
-				   const supernode *node,
 				   const gcall &call,
 				   tree callee_fndecl) const;
 
@@ -289,14 +286,13 @@ gil_state_machine::gil_state_machine (logger *logger)
 struct cb_data
 {
   cb_data (const gil_state_machine &sm, sm_context &sm_ctxt,
-	   const supernode *snode, const gimple *stmt)
-  : m_sm (sm), m_sm_ctxt (sm_ctxt), m_snode (snode), m_stmt (stmt)
+	   const gimple *stmt)
+  : m_sm (sm), m_sm_ctxt (sm_ctxt), m_stmt (stmt)
   {
   }
 
   const gil_state_machine &m_sm;
   sm_context &m_sm_ctxt;
-  const supernode *m_snode;
   const gimple *m_stmt;
 };
 
@@ -304,7 +300,7 @@ static bool
 check_for_pyobject (gimple *, tree op, tree, void *data)
 {
   cb_data *d = (cb_data *)data;
-  d->m_sm.check_for_pyobject_usage_without_gil (d->m_sm_ctxt, d->m_snode,
+  d->m_sm.check_for_pyobject_usage_without_gil (d->m_sm_ctxt,
 						d->m_stmt, op);
   return true;
 }
@@ -314,7 +310,6 @@ check_for_pyobject (gimple *, tree op, tree, void *data)
 
 void
 gil_state_machine::check_for_pyobject_in_call (sm_context &sm_ctxt,
-					       const supernode *node,
 					       const gcall &call,
 					       tree callee_fndecl) const
 {
@@ -326,7 +321,7 @@ gil_state_machine::check_for_pyobject_in_call (sm_context &sm_ctxt,
       tree type = TREE_TYPE (TREE_TYPE (arg));
       if (type_based_on_pyobject_p (type))
 	{
-	  sm_ctxt.warn (node, &call, NULL_TREE,
+	  sm_ctxt.warn (NULL_TREE,
 			std::make_unique<fncall_without_gil> (*this, call,
 							      callee_fndecl,
 							      i));
@@ -339,7 +334,6 @@ gil_state_machine::check_for_pyobject_in_call (sm_context &sm_ctxt,
 
 bool
 gil_state_machine::on_stmt (sm_context &sm_ctxt,
-			    const supernode *node,
 			    const gimple *stmt) const
 {
   const state_t global_state = sm_ctxt.get_global_state ();
@@ -355,7 +349,7 @@ gil_state_machine::on_stmt (sm_context &sm_ctxt,
 			"PyEval_SaveThread");
 	      if (global_state == m_released_gil)
 		{
-		  sm_ctxt.warn (node, stmt, NULL_TREE,
+		  sm_ctxt.warn (NULL_TREE,
 				std::make_unique<double_save_thread> (*this, call));
 		  sm_ctxt.set_global_state (m_stop);
 		}
@@ -377,17 +371,17 @@ gil_state_machine::on_stmt (sm_context &sm_ctxt,
 	    {
 	      /* Find PyObject * args of calls to fns with unknown bodies.  */
 	      if (!fndecl_has_gimple_body_p (callee_fndecl))
-		check_for_pyobject_in_call (sm_ctxt, node, call, callee_fndecl);
+		check_for_pyobject_in_call (sm_ctxt, call, callee_fndecl);
 	    }
 	}
       else if (global_state == m_released_gil)
-	check_for_pyobject_in_call (sm_ctxt, node, call, NULL);
+	check_for_pyobject_in_call (sm_ctxt, call, NULL);
     }
   else
     if (global_state == m_released_gil)
       {
 	/* Walk the stmt, finding uses of PyObject (or "subclasses").  */
-	cb_data d (*this, sm_ctxt, node, stmt);
+	cb_data d (*this, sm_ctxt, stmt);
 	walk_stmt_load_store_addr_ops (const_cast <gimple *> (stmt), &d,
 				       check_for_pyobject,
 				       check_for_pyobject,
@@ -404,14 +398,13 @@ gil_state_machine::can_purge_p (state_t s ATTRIBUTE_UNUSED) const
 
 void
 gil_state_machine::check_for_pyobject_usage_without_gil (sm_context &sm_ctxt,
-							 const supernode *node,
 							 const gimple *stmt,
 							 tree op) const
 {
   tree type = TREE_TYPE (op);
   if (type_based_on_pyobject_p (type))
     {
-      sm_ctxt.warn (node, stmt, NULL_TREE,
+      sm_ctxt.warn (NULL_TREE,
 		    std::make_unique<pyobject_usage_without_gil> (*this, op));
       sm_ctxt.set_global_state (m_stop);
     }
diff --git a/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2011-1078-1.c b/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2011-1078-1.c
index 8afce8eefac..ec187860658 100644
--- a/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2011-1078-1.c
+++ b/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2011-1078-1.c
@@ -107,6 +107,8 @@ static int sco_sock_getsockopt_old_broken(struct socket *sock, int optname, char
 			err = -1;
 
 	/* [...snip...] */
+
+	return 0;
 }
 
 static int sco_sock_getsockopt_fixed(struct socket *sock, int optname, char __user *optval, int __user *optlen)
@@ -136,4 +138,6 @@ static int sco_sock_getsockopt_fixed(struct socket *sock, int optname, char __us
 			err = -1;
 
 	/* [...snip...] */
+
+	return 0;
 }
diff --git a/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2011-1078-2.c b/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2011-1078-2.c
index 1142cf22655..b14ae8d4992 100644
--- a/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2011-1078-2.c
+++ b/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2011-1078-2.c
@@ -21,7 +21,7 @@ struct sco_conninfo {
 
 /* Adapted from sco_sock_getsockopt_old in net/bluetooth/sco.c.  */
 
-int test_1 (char __user *optval, const struct sco_conninfo *in)
+void test_1 (char __user *optval, const struct sco_conninfo *in)
 {
 	struct sco_conninfo cinfo; /* { dg-message "region created on stack here" "where" } */
 				   /* { dg-message "capacity: 6 bytes" "capacity" { target *-*-* } .-1 } */
@@ -34,7 +34,7 @@ int test_1 (char __user *optval, const struct sco_conninfo *in)
 	/* { dg-message "1 byte is uninitialized" "how much note" { target *-*-* } .-1 } */
 }
 
-int test_2 (char __user *optval, const struct sco_conninfo *in)
+void test_2 (char __user *optval, const struct sco_conninfo *in)
 {
 	struct sco_conninfo cinfo;
 	/* Note: 40 bits of fields, padded to 48.  */
diff --git a/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2017-18549-1.c b/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2017-18549-1.c
index 239c7d1df5d..8242aed0c9c 100644
--- a/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2017-18549-1.c
+++ b/gcc/testsuite/gcc.dg/plugin/infoleak-CVE-2017-18549-1.c
@@ -44,8 +44,8 @@ struct aac_srb_reply
 
 /* Adapted from drivers/scsi/aacraid/commctrl.c  */
 
-static int aac_send_raw_srb(/* [...snip...] */
-			    void __user *user_reply)
+static void aac_send_raw_srb(/* [...snip...] */
+			     void __user *user_reply)
 {
 	u32 byte_count = 0;
 
@@ -74,8 +74,8 @@ static int aac_send_raw_srb(/* [...snip...] */
 	/* [...snip...] */
 }
 
-static int aac_send_raw_srb_fixed(/* [...snip...] */
-				  void __user *user_reply)
+static void aac_send_raw_srb_fixed(/* [...snip...] */
+				   void __user *user_reply)
 {
 	u32 byte_count = 0;
 
diff --git a/gcc/testsuite/gdc.dg/analyzer/analyzer.exp b/gcc/testsuite/gdc.dg/analyzer/analyzer.exp
index 954d9d21b68..2fff2454840 100644
--- a/gcc/testsuite/gdc.dg/analyzer/analyzer.exp
+++ b/gcc/testsuite/gdc.dg/analyzer/analyzer.exp
@@ -32,7 +32,7 @@ if [info exists DEFAULT_DFLAGS] then {
 }
 
 # If a testcase doesn't have special options, use these.
-set DEFAULT_DFLAGS "-fanalyzer -Wanalyzer-too-complex -fanalyzer-call-summaries"
+set DEFAULT_DFLAGS "-fanalyzer -Wanalyzer-too-complex"
 
 # Initialize `dg'.
 dg-init
diff --git a/gcc/testsuite/gfortran.dg/analyzer/analyzer.exp b/gcc/testsuite/gfortran.dg/analyzer/analyzer.exp
index 3e5e59247c3..239b921cfb8 100644
--- a/gcc/testsuite/gfortran.dg/analyzer/analyzer.exp
+++ b/gcc/testsuite/gfortran.dg/analyzer/analyzer.exp
@@ -33,7 +33,7 @@ if [info exists DEFAULT_FFLAGS] then {
 }
 
 # If a testcase doesn't have special options, use these.
-set DEFAULT_FFLAGS "-fanalyzer -Wanalyzer-too-complex -fanalyzer-call-summaries"
+set DEFAULT_FFLAGS "-fanalyzer -Wanalyzer-too-complex"
 
 # Initialize `dg'.
 dg-init
diff --git a/gcc/testsuite/gfortran.dg/analyzer/uninit-pr63311.f90 b/gcc/testsuite/gfortran.dg/analyzer/uninit-pr63311.f90
index 34cc25da01d..fbf202e0dcc 100644
--- a/gcc/testsuite/gfortran.dg/analyzer/uninit-pr63311.f90
+++ b/gcc/testsuite/gfortran.dg/analyzer/uninit-pr63311.f90
@@ -1,4 +1,5 @@
 ! { dg-additional-options "-O0" }
+! { dg-additional-options "-Wno-analyzer-too-complex" }
 
 MODULE M1
   IMPLICIT NONE
-- 
2.26.3

